Package org.optaplanner.core.impl.score.buildin.hardsoftbigdecimal

## Class HardSoftBigDecimalScoreInliner

- java.lang.Object
- - org.optaplanner.core.impl.score.inliner.ScoreInliner<HardSoftBigDecimalScore>
  - - org.optaplanner.core.impl.score.buildin.hardsoftbigdecimal.HardSoftBigDecimalScoreInliner

-     public class HardSoftBigDecimalScoreInliner
      extends ScoreInliner<HardSoftBigDecimalScore>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected BigDecimal` | `hardScore` |
    `protected BigDecimal` | `softScore` |

    - ### Fields inherited from class org.optaplanner.core.impl.score.inliner.ScoreInliner

      `constraintMatchEnabled`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `HardSoftBigDecimalScoreInliner​(boolean constraintMatchEnabled)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BigDecimalWeightedScoreImpacter` | `buildWeightedScoreImpacter​(HardSoftBigDecimalScore constraintWeight)` |
    `HardSoftBigDecimalScore` | `extractScore​(int initScore)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### hardScore

          protected BigDecimal hardScore

    - #### softScore

          protected BigDecimal softScore

  - ### Constructor Detail

    - #### HardSoftBigDecimalScoreInliner

          protected HardSoftBigDecimalScoreInliner​(boolean constraintMatchEnabled)

  - ### Method Detail

    - #### buildWeightedScoreImpacter

          public BigDecimalWeightedScoreImpacter buildWeightedScoreImpacter​(HardSoftBigDecimalScore constraintWeight)

      Specified by:
        `buildWeightedScoreImpacter` in class `ScoreInliner<HardSoftBigDecimalScore>`

    - #### extractScore

          public HardSoftBigDecimalScore extractScore​(int initScore)

      Specified by:
        `extractScore` in class `ScoreInliner<HardSoftBigDecimalScore>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`